package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 11:10 2020/5/29
 * @Modified By
 */
@Entity
@Table(name="kmt_exercise_teacher_datalist")
public class KmtExerciseTeacherDataList extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private String teacherId;

    private int totalCount;

    private int unFinishCount;

    private int rollbackQuestionCount;

    private int questionTotalCount;

    private int questionUnfinishCount;

    private Date createTime;

    private int type;

    private String businessId;

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public int getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }

    public int getUnFinishCount() {
        return unFinishCount;
    }

    public void setUnFinishCount(int unFinishCount) {
        this.unFinishCount = unFinishCount;
    }

    public int getRollbackQuestionCount() {
        return rollbackQuestionCount;
    }

    public void setRollbackQuestionCount(int rollbackQuestionCount) {
        this.rollbackQuestionCount = rollbackQuestionCount;
    }

    public int getQuestionTotalCount() {
        return questionTotalCount;
    }

    public void setQuestionTotalCount(int questionTotalCount) {
        this.questionTotalCount = questionTotalCount;
    }

    public int getQuestionUnfinishCount() {
        return questionUnfinishCount;
    }

    public void setQuestionUnfinishCount(int questionUnfinishCount) {
        this.questionUnfinishCount = questionUnfinishCount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getBusinessId() {
        return businessId;
    }

    public void setBusinessId(String businessId) {
        this.businessId = businessId;
    }
}
